summaryrefslogtreecommitdiffstats
path: root/roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml
diff options
context:
space:
mode:
authorJose A. Rivera <jarrpa@redhat.com>2017-07-13 11:27:34 -0500
committerJose A. Rivera <jarrpa@redhat.com>2017-07-14 10:37:29 -0500
commit40f72f4b0644ae13c4f17f5c45cc0617c43fc733 (patch)
treee448a147be59d4bce062e23a75717998a0b974fa /roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml
parent11d153a8a573af95d1f7f30df936e72e466c595e (diff)
downloadopenshift-40f72f4b0644ae13c4f17f5c45cc0617c43fc733.tar.gz
openshift-40f72f4b0644ae13c4f17f5c45cc0617c43fc733.tar.bz2
openshift-40f72f4b0644ae13c4f17f5c45cc0617c43fc733.tar.xz
openshift-40f72f4b0644ae13c4f17f5c45cc0617c43fc733.zip
GlusterFS: Make heketi-cli command configurable
Signed-off-by: Jose A. Rivera <jarrpa@redhat.com>
Diffstat (limited to 'roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml')
-rw-r--r--roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml4
1 files changed, 2 insertions, 2 deletions
diff --git a/roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml b/roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml
index 81ca85b04..600d8f676 100644
--- a/roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml
+++ b/roles/openshift_storage_glusterfs/tasks/glusterfs_common.yml
@@ -6,7 +6,7 @@
- not glusterfs_heketi_is_native | bool
- name: Verify heketi-cli is installed
- shell: "command -v heketi-cli >/dev/null 2>&1 || { echo >&2 'ERROR: Make sure heketi-cli is available, then re-run the installer'; exit 1; }"
+ shell: "command -v {{ glusterfs_heketi_cli }} >/dev/null 2>&1 || { echo >&2 'ERROR: Make sure heketi-cli is available, then re-run the installer'; exit 1; }"
changed_when: False
when:
- not glusterfs_heketi_is_native | bool
@@ -185,7 +185,7 @@
- name: Set heketi-cli command
set_fact:
- glusterfs_heketi_client: "{% if glusterfs_heketi_is_native %}{{ openshift.common.client_binary }} rsh --namespace={{ glusterfs_namespace }} {{ heketi_pod.results.results[0]['items'][0]['metadata']['name'] }} {% endif %}heketi-cli -s http://{% if glusterfs_heketi_is_native %}localhost:8080{% else %}{{ glusterfs_heketi_url }}:{{ glusterfs_heketi_port }}{% endif %} --user admin {% if glusterfs_heketi_admin_key is defined %}--secret '{{ glusterfs_heketi_admin_key }}'{% endif %}"
+ glusterfs_heketi_client: "{% if glusterfs_heketi_is_native %}{{ openshift.common.client_binary }} rsh --namespace={{ glusterfs_namespace }} {{ heketi_pod.results.results[0]['items'][0]['metadata']['name'] }} {% endif %}{{ glusterfs_heketi_cli }} -s http://{% if glusterfs_heketi_is_native %}localhost:8080{% else %}{{ glusterfs_heketi_url }}:{{ glusterfs_heketi_port }}{% endif %} --user admin {% if glusterfs_heketi_admin_key is defined %}--secret '{{ glusterfs_heketi_admin_key }}'{% endif %}"
- name: Verify heketi service
command: "{{ glusterfs_heketi_client }} cluster list"